package io.nexilis.alpha.ui.screen

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.Chat
import androidx.compose.material.icons.filled.Email
import androidx.compose.material.icons.filled.Home
import androidx.compose.material.icons.filled.Person
import androidx.compose.ui.graphics.vector.ImageVector

sealed class Screen(
    val route: String,
    val imageVector: ImageVector,
    val title: String
) {
    object Home : Screen("home", Icons.Filled.Home, "Home")
    object Chats : Screen("chats", Icons.Filled.Chat, "Chats")
    object Profile : Screen("profile", Icons.Filled.Person, "Profile")
    object Contact : Screen("contact", Icons.Filled.Email, "Contact")
    object Chat : Screen("chat", Icons.Filled.Email, "Chat")
    object SignIn : Screen("sign_in", Icons.Filled.Email, "Sign In")
    object SignUp : Screen("sign_up", Icons.Filled.Email, "Sign Up")
    object Friend : Screen("friend", Icons.Filled.Person, "Friend")
}